KCookie Class Reference

`#include <kcookie.h>`

## Public Member Functions

QCString | display ()
void | setDcopTransport (const QCString &dcopTransport)
QCString | dcopServer ()
QCString | dcopAuth ()
QCString | iceAuth ()

## Detailed Description

Utility class to access the authentication tokens needed to run a KDE program (X11 and DCOP cookies).

Definition at line 27 of file kcookie.h.

## Member Function Documentation

QCString KCookie::dcopAuth | ( |  | ) |

Returns a list of magic cookies for DCOP protocol authentication.

The order is the same as in dcopServer().

Definition at line 213 of file kcookie.cpp.

QCString KCookie::dcopServer | ( |  | ) |

Returns the netid where the dcopserver is running.

Definition at line 206 of file kcookie.cpp.

QCString KCookie::display | ( |  | ) |

inline

Returns the X11 display.

Definition at line 35 of file kcookie.h.

QCString KCookie::iceAuth | ( |  | ) |

Returns a list of magic cookies for the ICE protocol.

Definition at line 220 of file kcookie.cpp.

void KCookie::setDcopTransport | ( | const QCString & | dcopTransport | ) |

Select the DCOP transport to look for.

Default: "local"

Definition at line 42 of file kcookie.cpp.

The documentation for this class was generated from the following files:

- kcookie.h
- kcookie.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys